## asdf-standard 1.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf source/api
	-rm -rf source/generated

## asdf-standard 1.0.2

=== debian/changelog ===
asdf-standard (1.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: Replace commas with whitespace to separate items

  [ Ole Streicher ]
  * Add version.py to d/clean (Closes: #1015116)
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jul 2022 12:21:25 +0200

asdf-standard (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Apr 2022 09:15:23 +0200

asdf-standard (1.0.1-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Wed, 02 Mar 2022 09:50:23 +0100

asdf-standard (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #1006200)

 -- Ole Streicher <olebole@debian.org>  Mon, 03 Jan 2022 15:05:07 +0100

=== debian/control ===
Source: asdf-standard
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-asdf <!nocheck>,
               python3-astropy <!nocheck>,
               python3-gwcs <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-yaml <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/asdf-standard
Vcs-Git: https://salsa.debian.org/debian-astro-team/asdf-standard.git
Homepage: https://github.com/asdf-format/asdf-standard
Rules-Requires-Root: no

Package: python3-asdf-standard
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python package describing the Advanced Scientific Data Format
 ASDF (Advanced Scientific Data Format) is a proposed
 next generation interchange format for scientific data. ASDF aims to
 exist in the same middle ground that made FITS so successful, by
 being a hybrid text and binary format: containing human editable
 metadata for interchange, and raw binary data that is fast to load
 and use. Unlike FITS, the metadata is highly structured and is
 designed up-front for extensibility.
 .
 This package provides the ASDF standard schemas.

## asdf-standard 1.0.3

=== debian/changelog ===
asdf-standard (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Rediff patches
  * Build-Depend on pybuild-plugin-pyproject

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Aug 2022 20:53:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-asdf <!nocheck>,
                python3-astropy <!nocheck>,

=== debian/tests/control ===
Test-Command: SRC=`pwd` && cd $AUTOPKGTEST_TMP && pytest-3 $SRC/tests
Depends: @,
         python3-asdf,
         python3-astropy,
         python3-gwcs,
         python3-pytest,
         python3-yaml

## asdf-standard 1.1.1

=== debian/changelog ===
asdf-standard (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Apr 2024 23:03:34 +0200

asdf-standard (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Mar 2024 14:27:30 +0100

asdf-standard (1.0.3-4) unstable; urgency=medium

  * Don't require to raise an ValidationError on nested validations
    (Closes: #1064275)
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Feb 2024 16:34:01 +0100

asdf-standard (1.0.3-3) unstable; urgency=medium

  * Explicite test dependencies python3-jsonschema and python3-asdf-astropy

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Oct 2023 22:43:32 +0200

asdf-standard (1.0.3-2) unstable; urgency=medium

  * Add yaml schema files. Closes: #1052816
  * Disable coloring of pytest output

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Oct 2023 16:37:42 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYTEST_ADDOPTS="--color=no"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: SRC=`pwd` && cd $AUTOPKGTEST_TMP && pytest-3 $SRC/tests
Depends: @,
         python3-asdf,
         python3-asdf-astropy,
         python3-astropy,
         python3-gwcs,
         python3-jsonschema,
         python3-pytest,
         python3-yaml

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
 https://pypi.debian.net/@PACKAGE@/asdf_standard@ANY_VERSION@@ARCHIVE_EXT@

## asdf-standard 1.3.0

=== debian/changelog ===
asdf-standard (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * d/u/metadata: fix Reference attributes
  * Disable reference file existence build time test

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Aug 2025 14:59:54 +0200

## asdf-standard 1.4.0

=== debian/changelog ===
asdf-standard (1.4.0-2) unstable; urgency=medium

  [ Phil Wyett ]
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix fail to build source after successful build. (Closes: #1044025)

  [ Ole Streicher ]
  * New build dependency python3-pytest-asdf-plugin (Closes: #1115780)
  * Fix pattern in d/watch

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Oct 2025 21:10:09 +0200

asdf-standard (1.4.0-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.

  [ Ole Streicher ]
  * d/watch: Switch upstream to Github
  * New upstream version 1.4.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Sep 2025 15:25:01 +0200

=== debian/control ===
Source: asdf-standard
Standards-Version: 4.7.2
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-asdf <!nocheck>,
 python3-asdf-astropy <!nocheck>,
 python3-astropy <!nocheck>,
 python3-gwcs <!nocheck>,
 python3-jsonschema <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asdf-plugin <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-yaml <!nocheck>,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/asdf-standard
Vcs-Git: https://salsa.debian.org/debian-astro-team/asdf-standard.git
Homepage: https://github.com/asdf-format/asdf-standard

Package: python3-asdf-standard
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python package describing the Advanced Scientific Data Format
 ASDF (Advanced Scientific Data Format) is a proposed
 next generation interchange format for scientific data. ASDF aims to
 exist in the same middle ground that made FITS so successful, by
 being a hybrid text and binary format: containing human editable
 metadata for interchange, and raw binary data that is fast to load
 and use. Unlike FITS, the metadata is highly structured and is
 designed up-front for extensibility.
 .
 This package provides the ASDF standard schemas.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYTEST_ADDOPTS=--color=no -k "not test_reference_files_exist"

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,5 @@
          python3-gwcs,
          python3-jsonschema,
          python3-pytest,
+         python3-pytest-asdf-plugin,
          python3-yaml

=== debian/watch ===
Version: 5
Template: Github
Owner: asdf-format
Project: asdf-standard
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## asdf-standard 1.5.0

=== debian/changelog ===
asdf-standard (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed

 -- Ole Streicher <olebole@debian.org>  Sun, 08 Feb 2026 17:20:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: asdf-standard
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ole Streicher <olebole@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
